import i18next from 'i18next'
import config from '../config/config'

i18next.init({
  lng: 'ru',
  debug: true,
  resources: {
    ru: {
      translation: {
        getIssueList: '✅ Задачи',
        enterIssue: '✅ Добавь название задачи:',
        getDomains: '🏢 Домены',
        ErrorGetIssueList: 'Произошла ошибка при получении списка задач.',
        domainsName: 'Название организации',
        subDomain: 'Домен',
        getCircleList: '✅🏢 Задачи домена',
        getCircleIssues: 'Хочешь получить список задач домена? Тогда жми на название!',
        participants: 'Участники:{{newLine}}',
        rootDomains: 'Структура организаций:{{newLine}}{{newLine}}',
        errorGetDomains: 'Произошла ошибка при получении списка организаций.',
        MessageGetListIssues: 'Список задач:{{newLine}}{{newLine}}',
        endMessageOfListIssue: '{{newLine}}Страница {{currentPage}} из {{ totalPages}}',
        StartMessage: 'Привет, {{username}}! 🦾Я бот-помощник 🤖. Нажми на кнопку, чтобы получить интересующую тебя информацию.💾',
        errorChatId: 'Извините, я не могу общаться с вами{{newLine}}{{newLine}}Your ID is---> {{chatId}}',
        MessageGetListIssuesData: '{{newLine}}Дата создания: {{dateText}}{{newLine}}Автор: {{issueAuthor}}{{newLine}}Исполнитель: {{issueExecutor}}{{newLine}}-------{{newLine}}',
        domainIssues: '{{newLine}}Дата создания: {{dateText}}{{newLine}}Автор: {{issueAuthor}}{{newLine}}Исполнитель: {{issueExecutor}}{{newLine}}-------{{newLine}}',
        issuesOfCircle: 'Задачи домена: ',
        domainIssuesName: 'Название задачи: ',
        notAuthor: 'Автор не указан',
        notExecutor: 'Исполнитель не указан',
        notDomain: 'Домен не указан',
        notIssueName: 'Название задачи не указано',
        notCircleIssues: 'Задачи домена не указаны',
        menu: 'Меню:',
        Menu: 'Ⓜ Меню',
        scrolling: 'Скролинг:',
        left: '◀',
        right: '▶',
        toEnd: '⏭',
        toHome: '⏮',
        objectBoard: '-------',
        back: '⬅ Назад',
        howDomain: '🤖 Выбери домен:',
        noNameIssue: '🤖 Вы не добавили название задачи',
        youAddedIssue: 'Вы добавили задачу',
        notRegistered: 'Вы не можете быть автором задачи. Обратитесь к администратору.',
        stageChoice: 'Выберите этап задачи:',
        issueCreated: '✅ Добавлена задача: ',
        cancelAction: 'Действие отменено ❌',
        cancel: 'Отмена ✖',
        demo: 'Функция недоступна в демо-версии!⛔',
        priority_set: 'Выбери приоритет задачи:',
        highPriority: 'Высокий',
        mediumPriority: 'Средний',
        lowPriority: 'Низкий',
        defaulPriority: 'Оставить по умолчанию',
        EventsList: 'Список событий:{{newLine}}',
        MessageGetEvents: `{{newLine}}Событие: <a href="${config.s3appLink}/domains/{{event.domain.id}}/calendar">{{event.name}}</a>{{newLine}}{{newLine}}Начало: {{startTime}}{{newLine}}Окончание: {{endTime}}{{newLine}}Домен: <a href="${config.s3appLink}/domains/{{event.domain.id}}">{{event.domain.name}}</a>{{newLine}}Участники: {{participants}}{{newLine}}-------{{newLine}}`,
        getEvents: '📅 Мероприятия',
        getEventsToDay: '.📆 Мероприятия СЕГОДНЯ',
        enterEvent: '📅 Введи название мероприятия:',
        startDate: '⏰ Введи дату и время начала мероприятия в формате: дд.мм.гггг чч:мм или дд мммм гггг чч:мм',
        ErrorGetEvents: 'Нет запланированных мероприятий сегодня',
        eventCreated: '✅ Добавлено событие: ',
        startDateEvent: '⏰ Дата и время начала: ',
        errorSetEvent: '🤖 Ошибка при добавлении мероприятия в S3app: {{ error }}',
        endDateEvent: '⏱ Дата и время окончания: ',
        noNameEvent: '🤖 Вы не ввели название задачи',
        iSearch: '🤖 Я ищу задачи для тебя...',
        searchedIssues: '🤖Задачи с похожими именами:',
        noSearch: 'Ничего не найдено🤷‍♀️',
        notParticipants: 'Участники не назначены',
        thoughts: '💡 Мысли и идеи:{{newLine}}{{newLine}}',
        getThoughts: `<a href="${config.s3appLink}/domains/{{thought.domain.id}}/thoughts/{{thought.id}}">{{thought.name}}</a>{{newLine}}{{newLine}}Дата создания: {{dateText}}{{newLine}}Дата последнего обновления: {{updateText}}{{newLine}}Домен: <a href="${config.s3appLink}/domains/{{thought.domain.id}}">{{thought.domain.name}}</a>{{newLine}}Автор: {{thoughtAuthor}}{{newLine}}-------{{newLine}}`,
        ErrorGetThoughts: 'У членов организации пока нет записанных мыслей или идей...⏳',
        getThoughtsList: '💡 Мысли и идеи',
        tensions: '📝 Наблюдения и факты:{{newLine}}{{newLine}}',
        getTensions: `<a href="${config.s3appLink}/domains/{{tension.domain.id}}/tensions/{{tension.id}}">{{tension.name}}</a>{{newLine}}{{newLine}}Дата создания: {{dateText}}{{newLine}}Дата последнего обновления: {{updateText}}{{newLine}}Домен: <a href="${config.s3appLink}/domains/{{tension.domain.id}}">{{tension.domain.name}}</a>{{newLine}}Автор: {{tensionAuthor}}{{newLine}}Оценка: {{tension.tensionMark}}{{newLine}}-------{{newLine}}`,
        getTensionsList: '📝 Наблюдения и факты',
        ErrorGetTensions: 'У членов организации пока нет записанных наблюдений или фактов...⏳',
        drivers: '🎯 Потребности и цели:{{newLine}}{{newLine}}',
        getDrivers: `<a href="${config.s3appLink}/domains/{{driver.domain.id}}/drivers/{{driver.id}}">{{driver.name}}</a>{{newLine}}{{newLine}}Дата создания: {{dateText}}{{newLine}}Дата последнего обновления: {{updateText}}{{newLine}}Домен: <a href="${config.s3appLink}/domains/{{driver.domain.id}}">{{driver.domain.name}}</a>{{newLine}}Автор: {{driverAuthor}}{{newLine}}Эффект от достижения: {{driver.driverEffect}}{{newLine}}Состояние: {{status}}{{newLine}}-------{{newLine}}`,
        getDriversList: '🎯 Потребности и цели',
        ErrorGetDrivers: 'У членов организации пока нет записанных потребностей и целей...⏳',
        proposals: '🤝 Предложения и соглашения:{{newLine}}{{newLine}}',
        getProposals: `<a href="${config.s3appLink}/domains/{{proposal.domain.id}}/proposals/{{proposal.id}}">{{proposal.name}}</a>{{newLine}}{{newLine}}Дата создания: {{dateText}}{{newLine}}Дата последнего обновления: {{updateText}}{{newLine}}Домен: <a href="${config.s3appLink}/domains/{{proposal.domain.id}}">{{proposal.domain.name}}</a>{{newLine}}Автор: {{proposalAuthor}}{{newLine}}Статус: {{status}}{{newLine}}-------{{newLine}}`,
        getProposalsList: '🤝 Предложения и соглашения',
        ErrorGetProposals: 'У членов организации пока нет записанных предложений и соглашений...⏳',
        sprints: '📇 Спринты: {{newLine}}{{newLine}}',
        GetSprints: `{{newLine}}<a href="${config.s3appLink}/domains/{{sprint.domain.id}}/sprints/{{sprint.id}}">{{sprint.name}}</a>{{newLine}}{{newLine}}Начало: {{startTime}}{{newLine}}Окончание: {{endTime}}{{newLine}}Цель: {{sprint.goal}}{{newLine}}Домен: <a href="${config.s3appLink}/domains/{{sprint.domain.id}}">{{sprint.domain.name}}</a>{{newLine}}Участники: {{participants}}{{newLine}}{{newLine}}Задачи: {{newLine}}-->{{issues}}{{newLine}}-------{{newLine}}`,
        getSprintsList: '📇 Спринты',
        ErrorGetSprints: 'У членов организации пока нет составленных спринтов...⏳',
        notIssues: 'Задачи не указаны.',
        setEntity: '➕ Добавить в S3APP',
        setMenu: '🤖 {{ username }}, выбери раздел, в который хочешь внести запись:{{newLine}}{{newLine}}',
        enterThought: '💡 Введи свою мысль или идею:',
        HelpCommandText: '🤖 Бот умеет взаимодействовать с Доменами организации в S3APP.{{newLine}}Используй меню, нажав кнопку "Ⓜ Меню" под этим сообщением.{{newLine}}Или используй одну из доступных команд:{{newLine}}{{avalibleCommands}}{{newLine}}После ввода команды, добавть ПРОБЕЛ и текст с названием.',
        thoughtCreated: '✅ Добавлена мысль: ',
        noNameThought: '🤖 Вы не добавили мысль.',
        enterTension: '📝 Введи название наблюдения или факта:',
        noNameTension: '🤖 Вы не добавили названия наблюдению или факту.',
        descriptionTension: '🤖 Добавь описание к факту или наблюдению:',
        toGrade: '🤖 Оцени описанное.',
        positive: '+',
        negative: '-',
        neutral: '0',
        description: '🤖 Добавь описание:',
        tensionCreated: '✅ Добавлено наблюдение: ',
        enterDriver: '🎯 Название потребности или цели:',
        enterDescriptionDriver: '',
        setState: '🤖 Задай состояние своей цели.',
        need: 'Потребность',
        goal: 'Цель',
        satisfied: 'Удовлетворен',
        irrelevant: 'Неактуален',
        badDriverState: 'Некорректное состояние драйвера.',
        driverCreated: '✅ Добавлен драйвер: ',
        noNameDriver: '🤖 Вы не добавили цель.',
        enterProposal: '🤝 Введи название предложения или соглашения',
        noNameProposal: '🤖 Вы не добавили название соглашению',
        new: 'Новое',
        accepted: 'Принято',
        holded: 'Отложено',
        rejected: 'Отклонено',
        ceased: 'Утратило силу',
        review: 'Требуется пересмотр',
        setStatus: '🤖 Добавьте статус:',
        badProposalStatus: 'Некорректное статус соглашения.',
        proposalCreated: '✅ Добавлено соглашение: ',
        askToAI: '🤖 Запрос к ИИ',
        setAIRequest: '🤖 Введите запрос к ИИ:',
        errorAIRequest: '‼️ Произошла ошибка при обработке вашего запроса.',
        errorAccesToken: 'Ошибка при получении access token.',
        AiContentAssistent: 'Ты помощник в рабочем чате программистов',
        addEventFromAI:
`Текущие дата и время это {{timeNow}} в формате дд.мм.гггг чч:мм. Сегодня {{weekDay}}.

Преобразуй текст (в конце этого сообщения, после слова ТЕКСТ) в формат JSON вида:

{
  "date": "$date",
  "title":"$title"
}
  
Где 
$date - извлеченные из текста в конце этого сообщения дата и время в формате дд.мм.гггг чч:мм
$title - извлеченное из текста название мероприятия. Название в тексте есть всегда, эта строка не может быть пустой. А если названия нет, то в title клади фразу НЕТ НАЗВАНИЯ.

Ответ должен содержать только JSON, больше ничего.
ТЕКСТ: 
{{userText}}`,
        AiContentGetDate: 'Преобразуй текст в формат JSON вида:{"date": "date","title":"title"}',
        startDateAI: '⏰ Опиши в свободной форме (но желательно указывая дату и время явным образом), когда будет мероприятие:',
        YES: '✅ Да',
        NO: '❌ Нет'
      }
    }
  }
})

export default i18next
